Package it.ernytech.tdlib

## Class TdApi.UpdateChatDraftMessage

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateChatDraftMessage

Enclosing class:
  TdApi

    public static class TdApi.UpdateChatDraftMessage
    extends TdApi.Update

A draft has changed. Be aware that the update may come in the currently opened chat but with old content of the draft. If the user has changed the content of the draft, this update shouldn't be applied.

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.DraftMessage` `draftMessage` The new draft message; may be null.
`long` `order` New value of the chat order.

### Constructor Summary

Constructors
`UpdateChatDraftMessage()` Default constructor.
`UpdateChatDraftMessage​(long chatId, TdApi.DraftMessage draftMessage, long order)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### draftMessage

    public TdApi.DraftMessage draftMessage

The new draft message; may be null.

#### order

    public long order

New value of the chat order.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateChatDraftMessage

    public UpdateChatDraftMessage()

Default constructor.

#### UpdateChatDraftMessage

    public UpdateChatDraftMessage​(long chatId,
                                  TdApi.DraftMessage draftMessage,
                                  long order)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `draftMessage` - The new draft message; may be null.
  `order` - New value of the chat order.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR